## ros-one-ros-tcp-endpoint 0.7.0-8jammy.20251023.0036

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_tcp_endpoint)

find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
)

catkin_python_setup()

catkin_package(CATKIN_DEPENDS message_runtime )

catkin_install_python(
  PROGRAMS src/ros_tcp_endpoint/default_server_endpoint.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== requirements.txt ===
black
pre-commit
pytest-cov

=== debian/changelog ===
ros-one-ros-tcp-endpoint (0.7.0-8jammy.20251023.0036) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Unity Robotics <unity-robotics@unity3d.com>  Thu, 23 Oct 2025 00:36:14 +0000

ros-one-ros-tcp-endpoint (0.7.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Unity Robotics <unity-robotics@unity3d.com>  Thu, 23 Oct 2025 00:36:14 -0000

=== debian/control ===
Source: ros-one-ros-tcp-endpoint
Section: misc
Priority: optional
Maintainer: Unity Robotics <unity-robotics@unity3d.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ros-tcp-endpoint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-rospy
Description: Acts as the bridge between Unity messages sent via Websocket and ROS messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ros-tcp-endpoint//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ros-tcp-endpoint 0.7.0-8jammy.20260220.2134

=== debian/changelog ===
ros-one-ros-tcp-endpoint (0.7.0-8jammy.20260220.2134) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Unity Robotics <unity-robotics@unity3d.com>  Fri, 20 Feb 2026 21:34:35 +0000

## ros-one-ros-tcp-endpoint 0.7.0-8noble.20251023.0034

=== debian/changelog ===
ros-one-ros-tcp-endpoint (0.7.0-8noble.20251023.0034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Unity Robotics <unity-robotics@unity3d.com>  Thu, 23 Oct 2025 00:34:52 +0000

ros-one-ros-tcp-endpoint (0.7.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Unity Robotics <unity-robotics@unity3d.com>  Thu, 23 Oct 2025 00:34:52 -0000

## ros-one-ros-tcp-endpoint 0.7.0-8noble.20260220.2140

=== debian/changelog ===
ros-one-ros-tcp-endpoint (0.7.0-8noble.20260220.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Unity Robotics <unity-robotics@unity3d.com>  Fri, 20 Feb 2026 21:40:55 +0000
